Summary:	A date and time plugin for the Xfce panel
Summary(pl.UTF-8):	Wtyczka panelu Xfce pokazująca datę i czas
Name:		xfce4-datetime-plugin
Version:	0.6.2
Release:	2
License:	GPL v2
Group:		X11/Applications
Source0:	http://archive.xfce.org/src/panel-plugins/xfce4-datetime-plugin/0.6/%{name}-%{version}.tar.bz2
# Source0-md5:	fe604a251eadbc5b0f2b4737b85d92c8
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-datetime-plugin
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	libxfce4ui-devel
BuildRequires:	xfce4-dev-tools >= 4.4.0
BuildRequires:	xfce4-panel-devel >= 4.4.0
Requires:	xfce4-panel >= 4.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An additional clock for the Xfce panel which also shows the date, with
adjustable font.

%description -l pl.UTF-8
Wtyczka dla panelu Xfce wyświetlająca datę i czas, wyposażona w
kalendarz.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xfce4/panel/plugins/*.la
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ur_PK

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libdatetime.so
%{_datadir}/xfce4/panel/plugins/datetime.desktop
%changelog
* Sat Aug 16 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfce4-datetime-plugin.git;a=log;h=master

* Sat Aug 16 2014 Jan Rękorajski <baggins@pld-linux.org> 970f341
- remove non existing locale
- rel 2

* Sat Aug 16 2014 Jan Rękorajski <baggins@pld-linux.org> 1f88391
- up to 0.6.2

* Fri May 18 2012 Jan Rękorajski <baggins@pld-linux.org> 2f48b44
- rel 5
- fix autocrap by removing invocation of non-existing macro

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> e861f7e
- disable patch porting to libxfce4ui due to:
  grep: po/Makefile.in: No such file or directory
  config.status: error: po/Makefile.in.in was not created by intltoolize.

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> c4106df
- release 4

* Tue Mar 01 2011 Jan Rękorajski <baggins@pld-linux.org> b632910
- rel 3
- port to libxfce4ui

* Thu Feb 17 2011 Marcin Banasiak <marcin.banasiak@gmail.com> b2bba01
- release 2

* Sun Mar 01 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 8a9b7bb
- updated to 0.6.1

* Sun Apr 01 2007 Robert Tomasik <rotom@pld-linux.org> 70e21e1
- up to 0.5.0

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> c806a23
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> fae5237
- converted to UTF-8

* Sat Jan 27 2007 Marcin Banasiak <marcin.banasiak@gmail.com> fbedbfa
- up to 0.4.1

* Fri Jun 17 2005 Marcin Banasiak <marcin.banasiak@gmail.com> 7b5c7a3
- BR: automake

* Wed Mar 09 2005 havner <havner@pld-linux.org> 990a916
- rel up for rebuild with xfce 4.2

* Wed Dec 22 2004 Michal Chruszcz <mchruszcz@gmail.com> 00954f1
- seems that authors changed their mind regarding the name, unifications

* Wed Dec 22 2004 havner <havner@pld-linux.org> e16f835
- rel up for proper BR

* Wed Dec 22 2004 Michal Chruszcz <mchruszcz@gmail.com> 56713e0
- more specific BR and R on xfce4-panel

* Sat Nov 27 2004 havner <havner@pld-linux.org> 1f417c3
- rel up for rebuild with xfce4

* Sun Oct 10 2004 Michal Chruszcz <mchruszcz@gmail.com> ffd6732
- updated to 0.3.1

* Mon Jul 12 2004 Michal Chruszcz <mchruszcz@gmail.com> 7182710
- rel++ to rebuild with new XFce

